Page MenuHomePhabricator

Evaluate Extending Pywikibot support to sites on IWM
Closed, ResolvedPublic

Description

This is an Outreach-Program-For-Women-9 final project evaluation. Please update the description checking the boxes and providing the corresponding comments and links:

Event Timeline

Qgil created this task.Mar 10 2015, 10:02 AM
Qgil assigned this task to jayvdb.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added subscribers: jayvdb, Omegat, XZise.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 10:02 AM
Qgil added a subscriber: Qgil.Mar 26 2015, 3:16 PM

The end of March is approaching quickly and we really need to wrap up Outreach-Program-For-Women-9 (which officially ended almost three weeks ago). Mentors and intern are equally responsible of completing this task. You will feel very food when you mark it as Closed Resolved!

Qgil raised the priority of this task from Normal to High.Apr 6 2015, 2:57 PM

@jayvdb, @Omegat, @XZise, it's definitely time to close this task. Please edit the description with all the data available.

Omegat updated the task description. (Show Details)Apr 7 2015, 10:08 AM
Omegat set Security to None.

@Qgil, could you confirm whether the recent edit of description is fine.
Also, I am not exactly sure about how to go about the documentation task. I have written a few blog posts about the some work but not all. Should I make a detailed blog of the work done?

Qgil updated the task description. (Show Details)Apr 7 2015, 12:11 PM
Qgil added a comment.Apr 7 2015, 12:13 PM

Thank you. Please check the boxes of the items that you consider accomplished. You and your mentors are in a better position and me to decide whether your project requires documentation for users and contributors. The idea is that even if the intern that has been working on a project disappears, others can use the result of the project and can keep improving it.

jayvdb updated the task description. (Show Details)Apr 8 2015, 6:27 AM
jayvdb added a comment.Apr 8 2015, 6:44 AM

@Qgil, sorry for the delay; I was held up with other projects (work and the other pywiki outreachy project).
Also, the patches for this project have only been straightened up completely in the last week in order to properly assess whether this project was 'done'. The majority of @Omegat 's work was before the deadline, however there was a lot of interdependencies and also some gnarly bugs which needed fixing for the finale patch was 'testable'. @Omegat has continued past the deadline to help us sort out various pending patches. The last (and most important) patch is not merged, but it is high quality, without major wrinkles, but will benefit from a little more polish before it is merged. It is way beyond 'prototype' stage, so I feel we've definitely crossed the line.

I have ticked 'documentation for users and contributors', even thought there is not new documentation especially targeting users, nor detailed documentation suitable for fellow contributors. However, the spreadsheet and errors/failures emitted from the unit tests provides fellow contributors with self-explanatory details about how to pick up and continue the good work of this project.

@Omegat, it would be good if you could look through your spreadsheet and the unit test results, and create new tasks for the future based on results of this project (e.g. sites not yet handled correctly).

@jayvdb, yes the spreadsheet needs a lot of updating as the last time I worked on it was before the mid sem. I will go through it once again.

Qgil added a comment.Apr 15 2015, 8:51 PM

@Omegat, your wrap-up report doesn't have any links to your work, which means that anybody reading it to see what came up from this project will have a hard time to find out. Imagine that a total stranger arrives to that page interested in your work. What links would like that person to check? Please add them in the text. Also, I wonder if any screenshots or images could make it more visually attractive?

Qgil closed this task as Resolved.Apr 27 2015, 1:13 PM

All boxes checked. Closing this task as Resolved. Thank you!

Qgil added a comment.Apr 27 2015, 1:27 PM

Er... in fact the Status field at https://www.mediawiki.org/wiki/Outreachy/Past_projects#Extending_PyWikiBot_support_to_sites_on_IWM is empty, and it is an important piece of information. Can you complete this, please?

Hi Qgil. I have updated the status field and provided some links in my wrap-up report. Thank You!